package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 给餐品管理员每周星期四推消息提醒要增加餐品
 *
 * @author longmeizhen
 */
@Slf4j
@Component("dinnerMealTimerTask")
public class DinnerMealTimerTask {


	@Autowired
	private PlaceAnOrderService placeAnOrderService;

	private void run() {
		log.info("quartz into DinnerMealTimerTask start ...");
		placeAnOrderService.sendMessage();
		log.info("quartz into DinnerMealTimerTask end ...");
	}
}
